Package com.usatiuk.dhfsfs.service

# Record Class GetattrRes

java.lang.Object
java.lang.Record
com.usatiuk.dhfsfs.service.GetattrRes

Record Components:
  `mtime` - File modification time
  `ctime` - File creation time
  `mode` - File mode
  `type` - File type

public record GetattrRes(long mtime, long ctime, long mode, GetattrType type) extends Record
GetattrRes is a record that represents the result of a getattr operation.

## Constructor Summary

Constructors
Constructor
Description
`GetattrRes(long mtime, long ctime, long mode, GetattrType type)`
Creates an instance of a `GetattrRes` record class.

## Method Summary

Modifier and Type
Method
Description
`long`
`ctime()`
Returns the value of the `ctime` record component.
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`final int`
`hashCode()`
Returns a hash code value for this object.
`long`
`mode()`
Returns the value of the `mode` record component.
`long`
`mtime()`
Returns the value of the `mtime` record component.
`final String`
`toString()`
Returns a string representation of this record class.
`GetattrType`
`type()`
Returns the value of the `type` record component.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GetattrRes

public GetattrRes(long mtime, long ctime, long mode, GetattrType type)
Creates an instance of a `GetattrRes` record class.

Parameters:
  `mtime` - the value for the `mtime` record component
  `ctime` - the value for the `ctime` record component
  `mode` - the value for the `mode` record component
  `type` - the value for the `type` record component

## Method Details

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### mtime

public long mtime()
Returns the value of the `mtime` record component.

Returns:
  the value of the `mtime` record component

### ctime

public long ctime()
Returns the value of the `ctime` record component.

Returns:
  the value of the `ctime` record component

### mode

public long mode()
Returns the value of the `mode` record component.

Returns:
  the value of the `mode` record component

### type

public GetattrType type()
Returns the value of the `type` record component.

Returns:
  the value of the `type` record component